package com.ruoyi.web.work.api;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.api.util.AppUtil;
import com.ruoyi.web.work.service.IDgService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "就诊信息管理")
@RestController
@RequestMapping("/app/dg")
public class Api_DgController {

    @Autowired
    private IDgService dgService;

    @ApiOperation(value = "根据就诊卡号获取用户诊断信息(如主要诊断，次要诊断)")
    @GetMapping("/diagnosis/{card}")
    public AjaxResult getDgByCard(@PathVariable("card") String card){
        return dgService.getDgByCard(card);
    }


}
